MONOMER ALA = { "ALA", 5, 4,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /*,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (Ala)",           "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.520, 0.021, "CH1E-CH3E" }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /*,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (Ala)",           "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.1, 1.5, "CH3E-CH1E-C"    }
               }
          },
          { "N-CA-CB (Ala)",           "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.1, 1.4, "NH1-CH1E-CH3E"  }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER ARG = { "ARG", 11, 11,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.521, 0.027, "CH2E-CH2E" }
               }
          },
          { "CG-CD",                 "CG-CD",   "CG",  "CD",  1,
               {
                    { 1.515, 0.025, "CH2E-CH2E" }
               }
          },
          { "CD-NE",                 "CD-NE",   "CD",  "NE",  1,
               {
                    { 1.460, 0.017, "CH2E-NH1"  }
               }
          },
          { "NE-CZ",                 "NE-CZ",   "NE",  "CZ",  1,
               {
                    { 1.326, 0.013, "NH1-C"     }
               }
          },
          { "CZ-NH1",                "CZ-NH1",  "CZ",  "NH1", 1,
               {
                    { 1.326, 0.013, "C-NC2"     }
               }
          },
          { "CZ-NH2",                "CZ-NH2",  "CZ",  "NH2", 1,
               {
                    { 1.326, 0.013, "C-NC2"     }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.4, 2.2, "CH1E-CH2E-CH2E" }
               }
          },
          { "CB-CG-CD",                "CB-CG-CD",    "CB",  "CG",  "CD",  1,
               {
                    { 111.6, 2.6, "CH2E-CH2E-CH2E" }
               }
          },
          { "CG-CD-NE",                "CG-CD-NE",    "CG",  "CD",  "NE",  1,
               {
                    { 111.8, 2.1, "CH2E-CH2E-NH1"  }
               }
          },
          { "CD-NE-CZ",                "CD-NE-CZ",    "CD",  "NE",  "CZ",  1,
               {
                    { 123.6, 1.4, "CH2E-NH1-C"     }
               }
          },
          { "NH1-CZ-NH2",              "NH1-CZ-NH2",  "NH1", "CZ",  "NH2", 1,
               {
                    { 119.4, 1.1, "NC2-C-NC2"      }
               }
          },
          { "NE-CZ-NH1",               "NE-CZ-NH1",   "NE",  "CZ",  "NH1", 1,
               {
                    { 120.3, 0.5, "NH1-C-NC2"      }
               }
          },
          { "NE-CZ-NH2",               "NE-CZ-NH2",   "NE",  "CZ",  "NH2", 1,
               {
                    { 120.3, 0.5, "NH1-C-NC2"      }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER ASN = { "ASN", 8, 8,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.527, 0.026, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.506, 0.023, "CH2E-C"    }
               }
          },
          { "CG-OD1",                "CG-OD1",  "CG",  "OD1", 1,
               {
                    { 1.235, 0.022, "C-O"       }
               }
          },
          { "CG-ND2",                "CG-ND2",  "CG",  "ND2", 1,
               {
                    { 1.324, 0.025, "C-NH2"     }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.4, 2.2, "CH1E-CH2E-C"    }
               }
          },
          { "OD1-CG-ND2",              "OD1-CG-ND2",  "OD1", "CG",  "ND2", 1,
               {
                    { 121.9, 2.3, "O-C-NH2"        }
               }
          },
          { "CB-CG-OD1",               "CB-CG-OD1",   "CB",  "CG",  "OD1", 1,
               {
                    { 121.6, 2.0, "CH2E-C-O"       }
               }
          },
          { "CB-CG-ND2",               "CB-CG-ND2",   "CB",  "CG",  "ND2", 1,
               {
                    { 116.7, 2.4, "CH2E-C-NH2"     }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER ASP = { "ASP", 8, 8,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.513, 0.021, "CH2E-C"    }
               }
          },
          { "CG-OD1",                "CG-OD1",  "CG",  "OD1", 1,
               {
                    { 1.249, 0.023, "C-OC"      }
               }
          },
          { "CG-OD2",                "CG-OD2",  "CG",  "OD2", 1,
               {
                    { 1.249, 0.023, "C-OC"      }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.4, 2.2, "CH1E-CH2E-C"    }
               }
          },
          { "OD1-CG-OD2",              "OD1-CG-OD2",  "OD1", "CG",  "OD2", 1,
               {
                    { 123.3, 1.9, "OC-C-OC"        }
               }
          },
          { "CB-CG-OD1",               "CB-CG-OD1",   "CB",  "CG",  "OD1", 1,
               {
                    { 118.3, 0.9, "CH2E-C-OC"      }
               }
          },
          { "CB-CG-OD2",               "CB-CG-OD2",   "CB",  "CG",  "OD2", 1,
               {
                    { 118.3, 0.9, "CH2E-C-OC"      }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER CYS = { "CYS", 6, 5,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  2,
               {
                    { 1.526, 0.013, "CH1E-CH2E" },
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-SG",                 "CB-SG",   "CB",  "SG",  2,
               {
                    { 1.812, 0.016, "CH2E-SH1E" },
                    { 1.818, 0.017, "CH2E-S"    }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   2,
               {
                    { 111.5, 1.2, "CH2E-CH1E-C"    },
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  2,
               {
                    { 110.8, 1.5, "NH1-CH1E-CH2E"  },
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-SG",                "CA-CB-SG",    "CA",  "CB",  "SG",  2,
               {
                    { 114.2, 1.1, "CH1E-CH2E-SH1E" },
                    { 114.0, 1.8, "CH1E-CH2E-SH1E" }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER GLN = { "GLN", 9, 9,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.521, 0.027, "CH2E-CH2E" }
               }
          },
          { "CG-CD",                 "CG-CD",   "CG",  "CD",  1,
               {
                    { 1.506, 0.023, "CH2E-C"    }
               }
          },
          { "CD-OE1",                "CD-OE1",  "CD",  "OE1", 1,
               {
                    { 1.235, 0.022, "C-O"       }
               }
          },
          { "CD-NE2",                "CD-NE2",  "CD",  "NE2", 1,
               {
                    { 1.324, 0.025, "C-NH2"     }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.4, 2.2, "CH1E-CH2E-CH2E" }
               }
          },
          { "CB-CG-CD",                "CB-CG-CD",    "CB",  "CG",  "CD",  1,
               {
                    { 111.6, 2.6, "CH2E-CH2E-C"    }
               }
          },
          { "OE1-CD-NE2",              "OE1-CD-NE2",  "OE1", "CD",  "NE2", 1,
               {
                    { 121.9, 2.3, "O-C-NH2"        }
               }
          },
          { "CG-CD-OE1",               "CG-CD-OE1",   "CG",  "CD",  "OE1", 1,
               {
                    { 121.6, 2.0, "CH2E-C-O"       }
               }
          },
          { "CG-CD-NE2",               "CG-CD-NE2",   "CG",  "CD",  "NE2", 1,
               {
                    { 116.7, 2.4, "CH2E-C-NH2"     }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER GLU = { "GLU", 9, 9,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.517, 0.019, "CH2E-CH2E" }
               }
          },
          { "CG-CD",                 "CG-CD",   "CG",  "CD",  1,
               {
                    { 1.515, 0.015, "CH2E-C"    }
               }
          },
          { "CD-OE1",                "CD-OE1",  "CD",  "OE1", 1,
               {
                    { 1.252, 0.011, "C-OC"      }
               }
          },
          { "CD-OE2",                "CD-OE2",  "CD",  "OE2", 1,
               {
                    { 1.252, 0.011, "C-OC"      }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.4, 2.2, "CH1E-CH2E-CH2E" }
               }
          },
          { "CB-CG-CD",                "CB-CG-CD",    "CB",  "CG",  "CD",  1,
               {
                    { 114.2, 2.7, "CH2E-CH2E-C"    }
               }
          },
          { "OE1-CD-OE2",              "OE1-CD-OE2",  "OE1", "CD",  "OE2", 1,
               {
                    { 123.3, 1.2, "OC-C-OC"        }
               }
          },
          { "CG-CD-OE1",               "CG-CD-OE1",   "CG",  "CD",  "OE1", 1,
               {
                    { 118.3, 2.0, "CH2E-C-OC"      }
               }
          },
          { "CG-CD-OE2",               "CG-CD-OE2",   "CG",  "CD",  "OE2", 1,
               {
                    { 118.3, 2.0, "CH2E-C-OC"      }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER GLY = { "GLY", 4, 2,
     {
          { "N-CA (Gly)",            "N-CA",    "N",   "CA",  1,
               {
                    { 1.456, 0.015, "NH1-CH2G*" }
               }
          },
          { "CA-C (Gly)",            "CA-C",    "CA",  "C",   1,
               {
                    { 1.514, 0.016, "CH2G*-C"   }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.232, 0.016, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "N-CA-C (Gly)",            "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 113.1, 2.5, "NH1-CH2G*-C"    }
               }
          },
          { "CA-C-O (Gly)",            "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.6, 1.8, "CH2G*-C-O"      } /* ,
                    { 118.4, 2.3, "CH2G*-C-OC"     } */
               }
          }
     }
};

MONOMER HIS = { "HIS", 11, 12,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  2,
               {
                    { 1.496, 0.018, "CH2E-C5"   },
                    { 1.492, 0.016, "CH2E-C5"   }
               }
          },
          { "CG-CD2",                "CG-CD2",  "CG",  "CD2", 2,
               {
                    { 1.353, 0.017, "C5-CR1H"   },
                    { 1.354, 0.009, "C5-CR1H"   }
               }
          },
          { "CG-ND1",                "CG-ND1",  "CG",  "ND1", 3,
               {
                    { 1.383, 0.022, "C5-NH1"    },
                    { 1.369, 0.015, "C5-NH1"    },
                    { 1.380, 0.010, "C5-NH1"    }
               }
          },
          { "ND1-CE1",               "ND1-CE1", "ND1", "CE1", 3,
               {
                    { 1.323, 0.015, "NH1-CRHH"  },
                    { 1.343, 0.025, "NH1-CRHH"  },
                    { 1.326, 0.010, "NH1-CRHH"  }
               }
          },
          { "CE1-NE2",               "CE1-NE2", "CE1", "NE2", 3,
               {
                    { 1.333, 0.019, "CRHH-NH1"  },
                    { 1.322, 0.023, "CRHH-NH1"  },
                    { 1.317, 0.011, "CRHH-NH1"  }
               }
          },
          { "NE2-CD2",               "NE2-CD2", "NE2", "CD2", 3,
               {
                    { 1.375, 0.022, "NH1-CR1H"  },
                    { 1.415, 0.021, "NH1-CR1H"  },
                    { 1.373, 0.011, "NH1-CR1H"  }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /*,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.6, 1.7, "CH1E-CH2E-C5"   }
               }
          },
          { "CB-CG-CD2",               "CB-CG-CD2",   "CB",  "CG",  "CD2", 3,
               {
                    { 129.7, 1.6, "CH2E-C5-CR1H"   },
                    { 130.8, 3.1, "CH2E-C5-CR1H"   },
                    { 131.4, 1.2, "CH2E-C5-CR1H"   }
               }
          },
          { "ND1-CG-CD2",              "ND1-CG-CD2",  "ND1", "CG",  "CD2", 3,
               {
                    { 108.8, 1.4, "NH1-C5-CR1H"    },
                    { 106.0, 1.4, "NH1-C5-CR1H"    },
                    { 106.1, 0.8, "NH1-C5-CR1H"    }
               }
          },
          { "CB-CG-ND1",               "CB-CG-ND1",   "CB",  "CG",  "ND1", 3,
               {
                    { 121.4, 1.3, "CH2E-C5-NH1"    },
                    { 123.2, 2.5, "CH2E-C5-NH1"    },
                    { 122.5, 1.3, "CH2E-C5-NH1"    }
               }
          },
          { "CG-ND1-CE1",              "CG-ND1-CE1",  "CG",  "ND1", "CE1", 3,
               {
                    { 105.7, 1.3, "C5-NH1-CRHH"    },
                    { 108.2, 1.4, "C5-NH1-CRHH"    },
                    { 109.0, 1.0, "C5-NH1-CRHH"    }
               }
          },
          { "ND1-CE1-NE2",             "ND1-CE1-NE2", "ND1", "CE1", "NE2", 3,
               {
                    { 111.5, 1.3, "NH1-CRHH-NH1"   },
                    { 109.9, 2.2, "NH1-CRHH-NH1"   },
                    { 108.5, 1.1, "NH1-CRHH-NH1"   }
               }
          },
          { "CE1-NE2-CD2",             "CE1-NE2-CD2", "CE1", "NE2", "CD2", 3,
               {
                    { 107.1, 1.1, "CRHH-NH1-CR1H"  },
                    { 106.6, 2.5, "CRHH-NH1-CR1H"  },
                    { 109.0, 0.7, "CRHH-NH1-CR1H"  }
               }
          },
          { "CG-CD2-NE2",              "CG-CD2-NE2",  "CG",  "CD2", "NE2", 3,
               {
                    { 106.7, 1.2, "C5-CR1H-NH1"    },
                    { 109.2, 1.9, "C5-CR1H-NH1"    },
                    { 107.3, 0.7, "C5-CR1H-NH1"    }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER ILE = { "ILE", 8, 8,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (Ile,Thr,Val)",   "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.544, 0.023, "CH1E-CH1E" }
               }
          },
          { "CB-CG1",                "CB-CG1",  "CB",  "CG1", 1,
               {
                    { 1.536, 0.028, "CH1E-CH2E" }
               }
          },
          { "CG1-CD1",               "CG1-CD1", "CG1", "CD1", 1,
               {
                    { 1.500, 0.069, "CH2E-CH3E" }
               }
          },
          { "CB-CG2",                "CB-CG2",  "CB",  "CG2", 1,
               {
                    { 1.524, 0.031, "CH1E-CH3E" }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (Ile,Thr,Val)",   "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 111.6, 2.0, "CH1E-CH1E-C"    }
               }
          },
          { "N-CA-CB (Ile,Thr,Val)",   "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.8, 2.3, "NH1-CH1E-CH1E"  }
               }
          },
          { "CG1-CB-CG2",              "CG1-CB-CG2",  "CG1", "CB",  "CG2", 1,
               {
                    { 111.4, 2.2, "CH2E-CH1E-CH3E" }
               }
          },
          { "CA-CB-CG1",               "CA-CB-CG1",   "CA",  "CB",  "CG1", 1,
               {
                    { 111.0, 1.9, "CH1E-CH1E-CH2E" }
               }
          },
          { "CB-CG1-CD1",              "CB-CG1-CD1",  "CB",  "CG1", "CD1", 1,
               {
                    { 113.9, 2.8, "CH1E-CH2E-CH3E" }
               }
          },
          { "CA-CB-CG2",               "CA-CB-CG2",   "CA",  "CB",  "CG2", 1,
               {
                    { 110.9, 2.0, "CH1E-CH1E-CH3E" }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER LEU = { "LEU", 8, 8,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.533, 0.023, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.521, 0.029, "CH2E-CH1E" }
               }
          },
          { "CG-CD1",                "CG-CD1",  "CG",  "CD1", 1,
               {
                    { 1.514, 0.037, "CH1E-CH3E" }
               }
          },
          { "CG-CD2",                "CG-CD2",  "CG",  "CD2", 1,
               {
                    { 1.514, 0.037, "CH1E-CH3E" }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.2, 1.9, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.4, 2.0, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 115.3, 2.3, "CH1E-CH2E-CH1E" }
               }
          },
          { "CD1-CG-CD2",              "CD1-CG-CD2",  "CD1", "CG",  "CD2", 1,
               {
                    { 110.5, 3.0, "CH3E-CH1E-CH3E" }
               }
          },
          { "CB-CG-CD1",               "CB-CG-CD1",   "CB",  "CG",  "CD1", 1,
               {
                    { 111.0, 1.7, "CH2E-CH1E-CH3E" }
               }
          },
          { "CB-CG-CD2",               "CB-CG-CD2",   "CB",  "CG",  "CD2", 1,
               {
                    { 111.0, 1.7, "CH2E-CH1E-CH3E" }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER LYS = { "LYS", 9, 8,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.521, 0.027, "CH2E-CH2E" }
               }
          },
          { "CG-CD",                 "CG-CD",   "CG",  "CD",  1,
               {
                    { 1.520, 0.034, "CH2E-CH2E" }
               }
          },
          { "CD-CE",                 "CD-CE",   "CD",  "CE",  1,
               {
                    { 1.508, 0.025, "CH2E-CH2E" }
               }
          },
          { "CE-NZ",                 "CE-NZ",   "CE",  "NZ",  1,
               {
                    { 1.486, 0.025, "CH2E-NH3"  }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.4, 2.2, "CH1E-CH2E-CH2E" }
               }
          },
          { "CB-CG-CD",                "CB-CG-CD",    "CB",  "CG",  "CD",  1,
               {
                    { 111.6, 2.6, "CH2E-CH2E-CH2E" }
               }
          },
          { "CG-CD-CE",                "CG-CD-CE",    "CG",  "CD",  "CE",  1,
               {
                    { 111.9, 3.0, "CH2E-CH2E-CH2E" }
               }
          },
          { "CD-CE-NZ",                "CD-CE-NZ",    "CD",  "CE",  "NZ",  1,
               {
                    { 111.7, 2.3, "CH2E-CH2E-NH3"  }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER MET = { "MET", 8, 7,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.509, 0.032, "CH2E-CH2E" }
               }
          },
          { "CG-SD",                 "CG-SD",   "CG",  "SD",  1,
               {
                    { 1.807, 0.026, "CH2E-SM"   }
               }
          },
          { "SD-CE",                 "SD-CE",   "SD",  "CE",  1,
               {
                    { 1.774, 0.056, "SM-CH3E"   }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.3, 1.7, "CH1E-CH2E-CH2E" }
               }
          },
          { "CB-CG-SD",                "CB-CG-SD",    "CB",  "CG",  "SD",  1,
               {
                    { 112.4, 3.0, "CH2E-CH2E-SM"   }
               }
          },
          { "CG-SD-CE",                "CG-SD-CE",    "CG",  "SD",  "CE",  1,
               {
                    { 100.2, 1.6, "CH2E-SM-CH3E"   }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER MSE = { "MSE", 8, 7,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1,
               {
                    { 1.459, 0.020, "NH1-CH1E"  }
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.520, 0.030, "CH2E-CH2E" }
               }
          },
          { "CG-SE",                 "CG-SE",   "CG",  "SE",  1,
               {
                    { 1.950, 0.034, "CH2E-SM"   }
               }
          },
          { "SE-CE",                 "SE-CE",   "SE",  "CE",  1,
               {
                    { 1.950, 0.059, "SM-CH3E"   }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.3, 1.7, "CH1E-CH2E-CH2E" }
               }
          },
          { "CB-CG-SE",                "CB-CG-SE",    "CB",  "CG",  "SE",  1,
               {
                    { 112.7, 3.0, "CH2E-CH2E-SM"   }
               }
          },
          { "CG-SE-CE",                "CG-SE-CE",    "CG",  "SE",  "CE",  1,
               {
                    {  98.9, 2.2, "CH2E-SM-CH3E"   }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1,
               {
                    { 120.1, 2.1, "CH1E-C-O"       }
               }
          }
     }
};

MONOMER PHE = { "PHE", 12, 13,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.509, 0.017, "CH2E-CF"   }
               }
          },
          { "CG-CD2",                "CG-CD2",  "CG",  "CD2", 1,
               {
                    { 1.383, 0.015, "CF-CR1E"   }
               }
          },
          { "CG-CD1",                "CG-CD1",  "CG",  "CD1", 1,
               {
                    { 1.383, 0.015, "CF-CR1E"   }
               }
          },
          { "CD1-CE1",               "CD1-CE1", "CD1", "CE1", 1,
               {
                    { 1.388, 0.020, "CR1E-CR1E" }
               }
          },
          { "CE1-CZ",                "CE1-CZ",  "CE1", "CZ",  1,
               {
                    { 1.369, 0.019, "CR1E-CR1E" }
               }
          },
          { "CZ-CE2",                "CZ-CE2",  "CZ",  "CE2", 1,
               {
                    { 1.369, 0.019, "CR1E-CR1E" }
               }
          },
          { "CE2-CD2",               "CE2-CD2", "CE2", "CD2", 1,
               {
                    { 1.388, 0.020, "CR1E-CR1E" }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.9, 2.4, "CH1E-CH2E-CF"   }
               }
          },
          { "CB-CG-CD2",               "CB-CG-CD2",   "CB",  "CG",  "CD2", 1,
               {
                    { 120.8, 0.7, "CH2E-CF-CR1E"   }
               }
          },
          { "CD1-CG-CD2",              "CD1-CG-CD2",  "CD1", "CG",  "CD2", 1,
               {
                    { 118.3, 1.3, "CR1E-CF-CR1E"   }
               }
          },
          { "CB-CG-CD1",               "CB-CG-CD1",   "CB",  "CG",  "CD1", 1,
               {
                    { 120.8, 0.7, "CH2E-CF-CR1E"   }
               }
          },
          { "CG-CD1-CE1",              "CG-CD1-CE1",  "CG",  "CD1", "CE1", 1,
               {
                    { 120.8, 1.1, "CF-CR1E-CR1E"   }
               }
          },
          { "CG-CD2-CE2",              "CG-CD2-CE2",  "CG",  "CD2", "CE2", 1,
               {
                    { 120.8, 1.1, "CF-CR1E-CR1E"   }
               }
          },
          { "CD1-CE1-CZ",              "CD1-CE1-CZ",  "CD1", "CE1", "CZ",  1,
               {
                    { 120.1, 1.2, "CR1E-CR1E-CR1E" }
               }
          },
          { "CE1-CZ-CE2",              "CE1-CZ-CE2",  "CE1", "CZ",  "CE2", 1,
               {
                    { 120.0, 1.8, "CR1E-CR1E-CR1E" }
               }
          },
          { "CZ-CE2-CD2",              "CZ-CE2-CD2",  "CZ",  "CE2", "CD2", 1,
               {
                    { 120.1, 1.2, "CR1E-CR1E-CR1E" }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER PRO = { "PRO", 8, 8,
     {
          { "N-CA (Pro)",            "N-CA",    "N",   "CA",  1,
               {
                    { 1.468, 0.017, "N-CH1E"    }
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  2,
               {
                    { 1.531, 0.020, "trans" },
                    { 1.533, 0.018, "cis"   }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  2,
               {
                    { 1.495, 0.050, "trans" },
                    { 1.506, 0.039, "cis"   }
               }
          },
          { "CG-CD",                 "CG-CD",   "CG",  "CD",  2,
               {
                    { 1.502, 0.033, "trans" },
                    { 1.512, 0.027, "cis"   }
               }
          },
          { "CD-N",                  "CD-N",    "CD",  "N",   1,
               {
                    { 1.474, 0.014, "CH2P-N"    }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.524, 0.020, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.228, 0.020, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CA-N-CD",                 "CA-N-CD",     "CA",  "N",   "CD",  2,
               {
                    { 111.7, 1.4, "trans"    },
                    { 111.5, 1.4, "cis"      }
               }
          },
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   2,
               {
                    { 111.7, 2.1, "trans"    },
                    { 112.0, 2.5, "cis"      }
               }
          },
          { "N-CA-CB (Pro)",           "N-CA-CB",     "N",   "CA",  "CB",  2,
               {
                    { 103.3, 1.2, "trans"    },
                    { 102.6, 1.1, "cis"      }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  2,
               {
                    { 104.8, 1.9, "trans" },
                    { 104.0, 1.9, "cis"   }
               }
          },
          { "CB-CG-CD",                "CB-CG-CD",    "CB",  "CG",  "CD",  2,
               {
                    { 106.5, 3.9, "trans" },
                    { 105.4, 2.3, "cis"   }
               }
          },
          { "N-CD-CG",                 "N-CD-CG",     "N",   "CD",  "CG",  2,
               {
                    { 103.2, 1.5, "trans" },
                    { 103.8, 1.2, "cis"   }
               }
          },
          { "N-CA-C (Pro)",            "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 112.1, 2.6, "N-CH1E-C"       }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.2, 2.4, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER SER = { "SER", 6, 5,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.525, 0.015, "CH1E-CH2E" }
               }
          },
          { "CB-OG",                 "CB-OG",   "CB",  "OG",  1,
               {
                    { 1.418, 0.013, "CH2E-OH1"  }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.1, 1.9, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.5, 1.5, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-OG",                "CA-CB-OG",    "CA",  "CB",  "OG",  1,
               {
                    { 111.2, 2.7, "CH1E-CH2E-OH1"  }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER THR = { "THR", 7, 7,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* , 
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (Ile,Thr,Val)",   "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.529, 0.026, "CH1E-CH1E" }
               }
          },
          { "CB-OG1",                "CB-OG1",  "CB",  "OG1", 1,
               {
                    { 1.428, 0.020, "CH1E-OH1"  }
               }
          },
          { "CB-CG2",                "CB-CG2",  "CB",  "CG2", 1,
               {
                    { 1.519, 0.033, "CH1E-CH3E" }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (Ile,Thr,Val)",   "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 111.6, 2.7, "CH1E-CH1E-C"    }
               }
          },
          { "N-CA-CB (Ile,Thr,Val)",   "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.3, 1.9, "NH1-CH1E-CH1E"  }
               }
          },
          { "OG1-CB-CG2",              "OG1-CB-CG2",  "OG1", "CB",  "CG2", 1,
               {
                    { 110.0, 2.3, "OH1-CH1E-CH3E"  }
               }
          },
          { "CA-CB-OG1",               "CA-CB-OG1",   "CA",  "CB",  "OG1", 1,
               {
                    { 109.0, 2.1, "CH1E-CH1E-OH1"  }
               }
          },
          { "CA-CB-CG2",               "CA-CB-CG2",   "CA",  "CB",  "CG2", 1,
               {
                    { 112.4, 1.4, "CH1E-CH1E-CH3E" }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER TRP = { "TRP", 16, 20,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.498, 0.018, "CH2E-C5W"  }
               }
          },
          { "CG-CD2",                "CG-CD2",  "CG",  "CD2", 1,
               {
                    { 1.432, 0.017, "C5W-CW"    }
               }
          },
          { "CG-CD1",                "CG-CD1",  "CG",  "CD1", 1,
               {
                    { 1.363, 0.014, "C5W-CR1E"  }
               }
          },
          { "CD1-NE1",               "CD1-NE1", "CD1", "NE1", 1,
               {
                    { 1.375, 0.017, "CR1E-NH1"  }
               }
          },
          { "NE1-CE2",               "NE1-CE2", "NE1", "CE2", 1,
               {
                    { 1.371, 0.013, "NH1-CW"    }
               }
          },
          { "CE2-CZ2",               "CE2-CZ2", "CE2", "CZ2", 1,
               {
                    { 1.393, 0.017, "CW-CR1W"   }
               }
          },
          { "CE2-CD2",               "CE2-CD2", "CE2", "CD2", 1,
               {
                    { 1.409, 0.012, "CW-CW"     }
               }
          },
          { "CD2-CE3",               "CD2-CE3", "CD2", "CE3", 1,
               {
                    { 1.399, 0.015, "CW-CR1E"   }
               }
          },
          { "CE3-CZ3",               "CE3-CZ3", "CE3", "CZ3", 1,
               {
                    { 1.380, 0.017, "CR1E-CR1E" }
               }
          },
          { "CZ3-CH2",               "CZ3-CH2", "CZ3", "CH2", 1,
               {
                    { 1.396, 0.016, "CR1E-CR1W" }
               }
          },
          { "CH2-CZ2",               "CH2-CZ2", "CH2", "CZ2", 1,
               {
                    { 1.369, 0.019, "CR1W-CR1W" }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.7, 1.9, "CH1E-CH2E-C5W"  }
               }
          },
          { "CB-CG-CD2",               "CB-CG-CD2",   "CB",  "CG",  "CD2", 1,
               {
                    { 126.6, 1.3, "CH2E-C5W-CW"    }
               }
          },
          { "CD1-CG-CD2",              "CD1-CG-CD2",  "CD1", "CG",  "CD2", 1,
               {
                    { 106.3, 0.8, "CR1E-C5W-CW"    }
               }
          },
          { "CB-CG-CD1",               "CB-CG-CD1",   "CB",  "CG",  "CD1", 1,
               {
                    { 127.0, 1.3, "CH2E-C5W-CR1E"  }
               }
          },
          { "CG-CD1-NE1",              "CG-CD1-NE1",  "CG",  "CD1", "NE1", 1,
               {
                    { 110.1, 1.0, "C5W-CR1E-NH1"   }
               }
          },
          { "CD1-NE1-CE2",             "CD1-NE1-CE2", "CD1", "NE1", "CE2", 1,
               {
                    { 109.0, 0.9, "CR1E-NH1-CW"    }
               }
          },
          { "NE1-CE2-CZ2",             "NE1-CE2-CZ2", "NE1", "CE2", "CZ2", 1,
               {
                    { 130.4, 1.1, "NH1-CW-CR1W"    }
               }
          },
          { "CD2-CE2-CZ2",             "CD2-CE2-CZ2", "CD2", "CE2", "CZ2", 1,
               {
                    { 122.3, 1.2, "CW-CW-CR1W"     }
               }
          },
          { "NE1-CE2-CD2",             "NE1-CE2-CD2", "NE1", "CE2", "CD2", 1,
               {
                    { 107.3, 1.0, "NH1-CW-CW"      }
               }
          },
          { "CE2-CD2-CE3",             "CE2-CD2-CE3", "CE2", "CD2", "CE3", 1,
               {
                    { 118.7, 1.2, "CW-CW-CR1E"     }
               }
          },
          { "CE2-CD2-CG",              "CE2-CD2-CG",  "CE2", "CD2", "CG",  1,
               {
                    { 107.3, 0.8, "CW-CW-C5W"      }
               }
          },
          { "CG-CD2-CE3",              "CG-CD2-CE3",  "CG",  "CD2", "CE3", 1,
               {
                    { 133.9, 0.9, "C5W-CW-CR1E"    }
               }
          },
          { "CD2-CE3-CZ3",             "CD2-CE3-CZ3", "CD2", "CE3", "CZ3", 1,
               {
                    { 118.8, 1.3, "CW-CR1E-CR1E"   }
               }
          },
          { "CE3-CZ3-CH2",             "CE3-CZ3-CH2", "CE3", "CZ3", "CH2", 1,
               {
                    { 121.2, 1.1, "CR1E-CR1E-CR1W" }
               }
          },
          { "CZ3-CH2-CZ2",             "CZ3-CH2-CZ2", "CZ3", "CH2", "CZ2", 1,
               {
                    { 121.6, 1.2, "CR1E-CR1W-CR1W" }
               }
          },
          { "CH2-CZ2-CE2",             "CH2-CZ2-CE2", "CH2", "CZ2", "CE2", 1,
               {
                    { 117.4, 1.0, "CR1W-CR1W-CW"   }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER TYR = { "TYR", 13, 15,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (the rest)",      "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.535, 0.022, "CH1E-CH2E" }
               }
          },
          { "CB-CG",                 "CB-CG",   "CB",  "CG",  1,
               {
                    { 1.512, 0.015, "CH2E-CY"   }
               }
          },
          { "CG-CD2",                "CG-CD2",  "CG",  "CD2", 1,
               {
                    { 1.387, 0.013, "CY-CR1E"   }
               }
          },
          { "CG-CD1",                "CG-CD1",  "CG",  "CD1", 1,
               {
                    { 1.387, 0.013, "CY-CR1E"   }
               }
          },
          { "CD1-CE1",               "CD1-CE1", "CD1", "CE1", 1,
               {
                    { 1.389, 0.015, "CR1E-CR1E" }
               }
          },
          { "CE1-CZ",                "CE1-CZ",  "CE1", "CZ",  1,
               {
                    { 1.381, 0.013, "CR1E-CY2"  }
               }
          },
          { "CZ-OH",                 "CZ-OH",   "CZ",  "OH",  1,
               {
                    { 1.374, 0.017, "CY2-OH1"   }
               }
          },
          { "CZ-CE2",                "CZ-CE2",  "CZ",  "CE2", 1,
               {
                    { 1.381, 0.013, "CY2-CR1E"  }
               }
          },
          { "CE2-CD2",               "CE2-CD2", "CE2", "CD2", 1,
               {
                    { 1.389, 0.015, "CR1E-CR1E" }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (the rest)",      "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 110.4, 2.0, "CH2E-CH1E-C"    }
               }
          },
          { "N-CA-CB (the rest)",      "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 110.6, 1.8, "NH1-CH1E-CH2E"  }
               }
          },
          { "CA-CB-CG",                "CA-CB-CG",    "CA",  "CB",  "CG",  1,
               {
                    { 113.4, 1.9, "CH1E-CH2E-CY"   }
               }
          },
          { "CB-CG-CD2",               "CB-CG-CD2",   "CB",  "CG",  "CD2", 1,
               {
                    { 121.0, 0.6, "CH2E-CY-CR1E"   }
               }
          },
          { "CD1-CG-CD2",              "CD1-CG-CD2",  "CD1", "CG",  "CD2", 1,
               {
                    { 117.9, 1.1, "CR1E-CY-CR1E"   }
               }
          },
          { "CB-CG-CD1",               "CB-CG-CD1",   "CB",  "CG",  "CD1", 1,
               {
                    { 121.0, 0.6, "CH2E-CY-CR1E"   }
               }
          },
          { "CG-CD1-CE1",              "CG-CD1-CE1",  "CG",  "CD1", "CE1", 1,
               {
                    { 121.3, 0.8, "CY-CR1E-CR1E"   }
               }
          },
          { "CG-CD2-CE2",              "CG-CD2-CE2",  "CG",  "CD2", "CE2", 1,
               {
                    { 121.3, 0.8, "CY-CR1E-CR1E"   }
               }
          },
          { "CD1-CE1-CZ",              "CD1-CE1-CZ",  "CD1", "CE1", "CZ",  1,
               {
                    { 119.8, 0.9, "CR1E-CR1E-CY2"  }
               }
          },
          { "OH-CZ-CE2",               "OH-CZ-CE2",   "OH",  "CZ",  "CE2", 1,
               {
                    { 120.1, 2.7, "OH1-CY2-CR1E"   }
               }
          },
          { "CE1-CZ-OH",               "CE1-CZ-OH",   "CE1", "CZ",  "OH",  1,
               {
                    { 120.1, 2.7, "CR1E-CY2-OH1"   }
               }
          },
          { "CE1-CZ-CE2",              "CE1-CZ-CE2",  "CE1", "CZ",  "CE2", 1,
               {
                    { 119.8, 1.6, "CR1E-CY2-CR1E"  }
               }
          },
          { "CZ-CE2-CD2",              "CZ-CE2-CD2",  "CZ",  "CE2", "CD2", 1,
               {
                    { 119.8, 0.9, "CY2-CR1E-CR1E"  }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER VAL = { "VAL", 7, 7,
     {
          { "N-CA (except Gly,Pro)", "N-CA",    "N",   "CA",  1, // 2,
               {
                    { 1.459, 0.020, "NH1-CH1E"  } /* ,
                    { 1.491, 0.021, "NH3-CH1E"  } */
               }
          },
          { "CA-CB (Ile,Thr,Val)",   "CA-CB",   "CA",  "CB",  1,
               {
                    { 1.543, 0.021, "CH1E-CH1E" }
               }
          },
          { "CB-CG1",                "CB-CG1",  "CB",  "CG1", 1,
               {
                    { 1.524, 0.021, "CH1E-CH3E" }
               }
          },
          { "CB-CG2",                "CB-CG2",  "CB",  "CG2", 1,
               {
                    { 1.524, 0.021, "CH1E-CH3E" }
               }
          },
          { "CA-C (except Gly)",     "CA-C",    "CA",  "C",   1,
               {
                    { 1.525, 0.026, "CH1E-C"    }
               }
          },
          { "C-O",                   "C-O",     "C",   "O",   1, // 2,
               {
                    { 1.229, 0.019, "C-O"       } /* ,
                    { 1.249, 0.019, "C-OC"      } */
               }
          },
          { "C-OXT",                 "C-OXT",   "C",   "OXT", 1,
               {
                    { 1.229, 0.019, "C-O"       }
               }
          }
     },
     {
          { "CB-CA-C (Ile,Thr,Val)",   "CB-CA-C",     "CB",  "CA",  "C",   1,
               {
                    { 111.4, 1.9, "CH1E-CH1E-C"    }
               }
          },
          { "N-CA-CB (Ile,Thr,Val)",   "N-CA-CB",     "N",   "CA",  "CB",  1,
               {
                    { 111.5, 2.2, "NH1-CH1E-CH1E"  }
               }
          },
          { "CG1-CB-CG2",              "CG1-CB-CG2",  "CG1", "CB",  "CG2", 1,
               {
                    { 110.9, 1.6, "CH3E-CH1E-CH3E" }
               }
          },
          { "CA-CB-CG1",               "CA-CB-CG1",   "CA",  "CB",  "CG1", 1,
               {
                    { 110.9, 1.5, "CH1E-CH1E-CH3E" }
               }
          },
          { "CA-CB-CG2",               "CA-CB-CG2",   "CA",  "CB",  "CG2", 1,
               {
                    { 110.9, 1.5, "CH1E-CH1E-CH3E" }
               }
          },
          { "N-CA-C (except Gly,Pro)", "N-CA-C",      "N",   "CA",  "C",   1,
               {
                    { 111.0, 2.7, "NH1-CH1E-C"     }
               }
          },
          { "CA-C-O (except Gly)",     "CA-C-O",      "CA",  "C",   "O",   1, // 2,
               {
                    { 120.1, 2.1, "CH1E-C-O"       } /* ,
                    { 117.0, 2.5, "CH1E-C-OC"      } */
               }
          }
     }
};

MONOMER_BOND A_LINK = {
            "C-N (except Pro)",      "C-N",     "C",   "N",   1,
               { 
                    { 1.336, 0.023, "C-NH1"     }
               }
};

MONOMER_BOND GLY_LINK = { 
            "C-N (except Pro)",      "C-N",     "C",   "N",   1,
               { 
                    { 1.326, 0.018, "C-NH1"     }
               }
};

MONOMER_BOND PRO_LINK = {
            "C-N (Pro)",             "C-N",     "C",   "N",   1,
               {
                    { 1.338, 0.019, "C-NH1"     }
               }
};

MONOMER_ANGLE AA_ANG1[2] = {
          { "CA-C-N (except Gly,Pro)", "CA-C-N",      "CA",  "C",   "N",   1,
               {
                    { 117.2, 2.2, "CH1E-C-NH1"     }
               }
          },
          { "O-C-N (except Pro)",       "O-C-N",      "O",   "C",   "N",   1,
               {
                    { 122.7, 1.6, "O-C-NH1"        }
               }
          }
};

MONOMER_ANGLE GLY_ANG1[2] = {
          { "CA-C-N (Gly)",             "CA-C-N",     "CA",  "C",   "N",   1,
               {
                    { 116.2, 2.0, "CH2G*-C-NH1"    }
               }
          },
          { "O-C-N (except Pro)",       "O-C-N",      "O",   "C",   "N",   1,
               {
                    { 123.2, 1.7, "O-C-NH1"        }
               }
          }
};

MONOMER_ANGLE PRO_ANG1[2] = {
          { "CA-C-N (Pro)",             "CA-C-N",     "CA",  "C",   "N",   1,
               {
                    { 117.1, 2.8, "CH1E-C-N"       }
               }
          },
          { "O-C-N (Pro)",              "O-C-N",      "O",   "C",   "N",   1,
               {
                    { 121.1, 1.9, "O-C-N"          }
               }
          }
};

MONOMER_ANGLE AA_ANG2 = {
            "C-N-CA (except Gly,Pro)", "C-N-CA",      "C",   "N",   "CA",  1,
               {
                    { 121.7, 2.5, "C-NH1-CH1E"     }
               }
};

MONOMER_ANGLE GLY_ANG2 = {
            "C-N-CA (Gly)",            "C-N-CA",      "C",   "N",   "CA",  1,
               {
                    { 122.3, 2.1, "C-NH1-CH2G*"    }
               }
};

MONOMER_ANGLE PRO_ANG2[2] = { 
          { "C-N-CA (Pro)",            "C-N-CA",      "C",   "N",   "CA",  3,
               {
                    { 119.3, 1.5, "trans"       },
                    { 127.0, 2.4, "cis"         },
                    { 122.0, 4.2, "all"         }
               }
          },
          { "C-N-CD (Pro)",            "C-N-CD",      "C",   "N",   "CD",  2, 
               {
                    { 128.4, 2.1, "trans"       },
                    { 120.6, 2.2, "cis"         }
               }
          },
};

